Package com.databend.jdbc.cloud

# Interface DatabendPresignClient

All Known Implementing Classes:
  `DatabendPresignClientV1`

public interface DatabendPresignClient

## Method Summary

Modifier and Type
Method
Description
`void`
`presignDownload(String destFileName, okhttp3.Headers headers, String presignedUrl)`
`InputStream`
`presignDownloadStream(okhttp3.Headers headers, String presignedUrl)`
`void`
`presignUpload(File srcFile, InputStream inputStream, String stageName, String relativePath, String name, boolean uploadFromStream)`
presignUpload file through databend api instead of presigned url, it should only be adopted if presigned url is not available
`void`
`presignUpload(File srcFile, InputStream inputStream, okhttp3.Headers headers, String presignedUrl, boolean uploadFromStream)`

## Method Details

### presignUpload

void presignUpload(File srcFile, InputStream inputStream, okhttp3.Headers headers, String presignedUrl, boolean uploadFromStream) throws IOException

Throws:
  `IOException`

### presignDownload

void presignDownload(String destFileName, okhttp3.Headers headers, String presignedUrl)

### presignDownloadStream

InputStream presignDownloadStream(okhttp3.Headers headers, String presignedUrl)

### presignUpload

void presignUpload(File srcFile, InputStream inputStream, String stageName, String relativePath, String name, boolean uploadFromStream) throws IOException
presignUpload file through databend api instead of presigned url, it should only be adopted if presigned url is not available

Parameters:
  `srcFile` - the file to be uploaded
  `inputStream` - the input stream to be uploaded
  `uploadFromStream` - whether the upload is from stream
Throws:
  `IOException`